Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.spi/src/main/java/org/gvsig/exportto/swing/spi/panels/SelectionOfTheGeometryFieldPanelView.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.spi/src/main/java/org/gvsig/exportto/swing/spi/panels/SelectionOfTheGeometryFieldPanelView.java	(revision 0)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.spi/src/main/java/org/gvsig/exportto/swing/spi/panels/SelectionOfTheGeometryFieldPanelView.java	(revision 43920)
@@ -0,0 +1,162 @@
+package org.gvsig.exportto.swing.spi.panels;
+
+import com.jeta.open.i18n.I18NUtils;
+import com.jgoodies.forms.layout.CellConstraints;
+import com.jgoodies.forms.layout.FormLayout;
+import java.awt.BorderLayout;
+import java.awt.ComponentOrientation;
+import java.awt.Container;
+import java.awt.Dimension;
+import javax.swing.Box;
+import javax.swing.ButtonGroup;
+import javax.swing.ImageIcon;
+import javax.swing.JComboBox;
+import javax.swing.JFrame;
+import javax.swing.JLabel;
+import javax.swing.JPanel;
+import javax.swing.JRadioButton;
+
+
+public class SelectionOfTheGeometryFieldPanelView extends JPanel
+{
+   JLabel lblSelectOfTheGeometryField = new JLabel();
+   JRadioButton rdoUseTheGeometryFieldByDefault = new JRadioButton();
+   ButtonGroup buttongroup1 = new ButtonGroup();
+   JRadioButton rdoUseNullAsTheValueOfTheGeometry = new JRadioButton();
+   JRadioButton rdoSelectTheFieldToBeUsedAsGeometry = new JRadioButton();
+   JComboBox cboGeometryField = new JComboBox();
+
+   /**
+    * Default constructor
+    */
+   public SelectionOfTheGeometryFieldPanelView()
+   {
+      initializePanel();
+   }
+
+   /**
+    * Adds fill components to empty cells in the first row and first column of the grid.
+    * This ensures that the grid spacing will be the same as shown in the designer.
+    * @param cols an array of column indices in the first row where fill components should be added.
+    * @param rows an array of row indices in the first column where fill components should be added.
+    */
+   void addFillComponents( Container panel, int[] cols, int[] rows )
+   {
+      Dimension filler = new Dimension(10,10);
+
+      boolean filled_cell_11 = false;
+      CellConstraints cc = new CellConstraints();
+      if ( cols.length > 0 && rows.length > 0 )
+      {
+         if ( cols[0] == 1 && rows[0] == 1 )
+         {
+            /** add a rigid area  */
+            panel.add( Box.createRigidArea( filler ), cc.xy(1,1) );
+            filled_cell_11 = true;
+         }
+      }
+
+      for( int index = 0; index < cols.length; index++ )
+      {
+         if ( cols[index] == 1 && filled_cell_11 )
+         {
+            continue;
+         }
+         panel.add( Box.createRigidArea( filler ), cc.xy(cols[index],1) );
+      }
+
+      for( int index = 0; index < rows.length; index++ )
+      {
+         if ( rows[index] == 1 && filled_cell_11 )
+         {
+            continue;
+         }
+         panel.add( Box.createRigidArea( filler ), cc.xy(1,rows[index]) );
+      }
+
+   }
+
+   /**
+    * Helper method to load an image file from the CLASSPATH
+    * @param imageName the package and name of the file to load relative to the CLASSPATH
+    * @return an ImageIcon instance with the specified image file
+    * @throws IllegalArgumentException if the image resource cannot be loaded.
+    */
+   public ImageIcon loadImage( String imageName )
+   {
+      try
+      {
+         ClassLoader classloader = getClass().getClassLoader();
+         java.net.URL url = classloader.getResource( imageName );
+         if ( url != null )
+         {
+            ImageIcon icon = new ImageIcon( url );
+            return icon;
+         }
+      }
+      catch( Exception e )
+      {
+         e.printStackTrace();
+      }
+      throw new IllegalArgumentException( "Unable to load image: " + imageName );
+   }
+
+   /**
+    * Method for recalculating the component orientation for 
+    * right-to-left Locales.
+    * @param orientation the component orientation to be applied
+    */
+   public void applyComponentOrientation( ComponentOrientation orientation )
+   {
+      // Not yet implemented...
+      // I18NUtils.applyComponentOrientation(this, orientation);
+      super.applyComponentOrientation(orientation);
+   }
+
+   public JPanel createPanel()
+   {
+      JPanel jpanel1 = new JPanel();
+      FormLayout formlayout1 = new FormLayout("FILL:DEFAULT:NONE,FILL:DEFAULT:NONE,FILL:DEFAULT:GROW(1.0),FILL:DEFAULT:NONE","CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE");
+      CellConstraints cc = new CellConstraints();
+      jpanel1.setLayout(formlayout1);
+
+      lblSelectOfTheGeometryField.setName("lblSelectOfTheGeometryField");
+      lblSelectOfTheGeometryField.setText("_Selection_of_the_geometry_field");
+      jpanel1.add(lblSelectOfTheGeometryField,cc.xywh(2,2,2,1));
+
+      rdoUseTheGeometryFieldByDefault.setActionCommand("_Use_the_geometry_field_by_default");
+      rdoUseTheGeometryFieldByDefault.setName("rdoUseTheGeometryFieldByDefault");
+      rdoUseTheGeometryFieldByDefault.setText("_Use_the_geometry_field_by_default");
+      buttongroup1.add(rdoUseTheGeometryFieldByDefault);
+      jpanel1.add(rdoUseTheGeometryFieldByDefault,cc.xywh(2,4,2,1));
+
+      rdoUseNullAsTheValueOfTheGeometry.setActionCommand("_Use_null_as_the_value_of_the_geometry");
+      rdoUseNullAsTheValueOfTheGeometry.setName("rdoUseNullAsTheValueOfTheGeometry");
+      rdoUseNullAsTheValueOfTheGeometry.setText("_Use_null_as_the_value_of_the_geometry");
+      buttongroup1.add(rdoUseNullAsTheValueOfTheGeometry);
+      jpanel1.add(rdoUseNullAsTheValueOfTheGeometry,cc.xywh(2,6,2,1));
+
+      rdoSelectTheFieldToBeUsedAsGeometry.setActionCommand("_Select_the_field_to_be_used_as_geometry");
+      rdoSelectTheFieldToBeUsedAsGeometry.setName("rdoSelectTheFieldToBeUsedAsGeometry");
+      rdoSelectTheFieldToBeUsedAsGeometry.setText("_Select_the_field_to_be_used_as_geometry");
+      buttongroup1.add(rdoSelectTheFieldToBeUsedAsGeometry);
+      jpanel1.add(rdoSelectTheFieldToBeUsedAsGeometry,cc.xywh(2,8,2,1));
+
+      cboGeometryField.setName("cboGeometryField");
+      jpanel1.add(cboGeometryField,cc.xy(3,10));
+
+      addFillComponents(jpanel1,new int[]{ 1,2,3,4 },new int[]{ 1,2,3,4,5,6,7,8,9,10,11 });
+      return jpanel1;
+   }
+
+   /**
+    * Initializer
+    */
+   protected void initializePanel()
+   {
+      setLayout(new BorderLayout());
+      add(createPanel(), BorderLayout.CENTER);
+   }
+
+
+}
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.spi/src/main/java/org/gvsig/exportto/swing/spi/panels/SelectGeometryTypePanelView.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.spi/src/main/java/org/gvsig/exportto/swing/spi/panels/SelectGeometryTypePanelView.java	(revision 0)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.spi/src/main/java/org/gvsig/exportto/swing/spi/panels/SelectGeometryTypePanelView.java	(revision 43920)
@@ -0,0 +1,152 @@
+package org.gvsig.exportto.swing.spi.panels;
+
+import com.jeta.open.i18n.I18NUtils;
+import com.jgoodies.forms.layout.CellConstraints;
+import com.jgoodies.forms.layout.FormLayout;
+import java.awt.BorderLayout;
+import java.awt.ComponentOrientation;
+import java.awt.Container;
+import java.awt.Dimension;
+import javax.swing.Box;
+import javax.swing.ImageIcon;
+import javax.swing.JComboBox;
+import javax.swing.JFrame;
+import javax.swing.JLabel;
+import javax.swing.JPanel;
+
+
+public class SelectGeometryTypePanelView extends JPanel
+{
+   JLabel lblSelectTargetGeometryType = new JLabel();
+   JLabel lblType = new JLabel();
+   JComboBox cboType = new JComboBox();
+   JLabel lblSubtype = new JLabel();
+   JComboBox cboSubtype = new JComboBox();
+
+   /**
+    * Default constructor
+    */
+   public SelectGeometryTypePanelView()
+   {
+      initializePanel();
+   }
+
+   /**
+    * Adds fill components to empty cells in the first row and first column of the grid.
+    * This ensures that the grid spacing will be the same as shown in the designer.
+    * @param cols an array of column indices in the first row where fill components should be added.
+    * @param rows an array of row indices in the first column where fill components should be added.
+    */
+   void addFillComponents( Container panel, int[] cols, int[] rows )
+   {
+      Dimension filler = new Dimension(10,10);
+
+      boolean filled_cell_11 = false;
+      CellConstraints cc = new CellConstraints();
+      if ( cols.length > 0 && rows.length > 0 )
+      {
+         if ( cols[0] == 1 && rows[0] == 1 )
+         {
+            /** add a rigid area  */
+            panel.add( Box.createRigidArea( filler ), cc.xy(1,1) );
+            filled_cell_11 = true;
+         }
+      }
+
+      for( int index = 0; index < cols.length; index++ )
+      {
+         if ( cols[index] == 1 && filled_cell_11 )
+         {
+            continue;
+         }
+         panel.add( Box.createRigidArea( filler ), cc.xy(cols[index],1) );
+      }
+
+      for( int index = 0; index < rows.length; index++ )
+      {
+         if ( rows[index] == 1 && filled_cell_11 )
+         {
+            continue;
+         }
+         panel.add( Box.createRigidArea( filler ), cc.xy(1,rows[index]) );
+      }
+
+   }
+
+   /**
+    * Helper method to load an image file from the CLASSPATH
+    * @param imageName the package and name of the file to load relative to the CLASSPATH
+    * @return an ImageIcon instance with the specified image file
+    * @throws IllegalArgumentException if the image resource cannot be loaded.
+    */
+   public ImageIcon loadImage( String imageName )
+   {
+      try
+      {
+         ClassLoader classloader = getClass().getClassLoader();
+         java.net.URL url = classloader.getResource( imageName );
+         if ( url != null )
+         {
+            ImageIcon icon = new ImageIcon( url );
+            return icon;
+         }
+      }
+      catch( Exception e )
+      {
+         e.printStackTrace();
+      }
+      throw new IllegalArgumentException( "Unable to load image: " + imageName );
+   }
+
+   /**
+    * Method for recalculating the component orientation for 
+    * right-to-left Locales.
+    * @param orientation the component orientation to be applied
+    */
+   public void applyComponentOrientation( ComponentOrientation orientation )
+   {
+      // Not yet implemented...
+      // I18NUtils.applyComponentOrientation(this, orientation);
+      super.applyComponentOrientation(orientation);
+   }
+
+   public JPanel createPanel()
+   {
+      JPanel jpanel1 = new JPanel();
+      FormLayout formlayout1 = new FormLayout("FILL:8DLU:NONE,FILL:8DLU:NONE,FILL:DEFAULT:GROW(1.0),FILL:8DLU:NONE","CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE");
+      CellConstraints cc = new CellConstraints();
+      jpanel1.setLayout(formlayout1);
+
+      lblSelectTargetGeometryType.setName("lblSelectTargetGeometryType");
+      lblSelectTargetGeometryType.setText("_Select_target_geometry_type");
+      jpanel1.add(lblSelectTargetGeometryType,cc.xywh(2,2,2,1));
+
+      lblType.setName("lblType");
+      lblType.setText("_Type");
+      jpanel1.add(lblType,cc.xywh(2,4,2,1));
+
+      cboType.setName("cboType");
+      jpanel1.add(cboType,cc.xy(3,6));
+
+      lblSubtype.setName("lblSubtype");
+      lblSubtype.setText("_Subtype");
+      jpanel1.add(lblSubtype,cc.xywh(2,8,2,1));
+
+      cboSubtype.setName("cboSubtype");
+      jpanel1.add(cboSubtype,cc.xy(3,10));
+
+      addFillComponents(jpanel1,new int[]{ 1,2,3,4 },new int[]{ 1,2,3,4,5,6,7,8,9,10,11 });
+      return jpanel1;
+   }
+
+   /**
+    * Initializer
+    */
+   protected void initializePanel()
+   {
+      setLayout(new BorderLayout());
+      add(createPanel(), BorderLayout.CENTER);
+   }
+
+
+}
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.spi/src/main/java/org/gvsig/exportto/swing/spi/ExporttoSwingProvider.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.spi/src/main/java/org/gvsig/exportto/swing/spi/ExporttoSwingProvider.java	(revision 43919)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.spi/src/main/java/org/gvsig/exportto/swing/spi/ExporttoSwingProvider.java	(revision 43920)
@@ -25,6 +25,7 @@
 
 import org.cresques.cts.IProjection;
 import org.gvsig.exportto.ExporttoService;
+import org.gvsig.exportto.swing.spi.options.ExportOptions;
 
 /**
  * A Exportto provider.
@@ -58,17 +59,8 @@
      */
     public ExporttoService createExporttoService();
 
-    /**
-     * Sets the target projection to which should be exported
-     * @param targetProjection
-     */
-    public void setTargetProjection(IProjection targetProjection);
-
-    /**
-     * Informs if it needs to ask for a target projection,
-     * or if it is not needed or provided through its own wizard panel.
-     * @return
-     */
+    public ExportOptions getOptions();
+    
     public boolean needsPanelTargetProjection();
 
 }
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.impl/src/main/java/org/gvsig/exportto/swing/impl/wizard/ExportTargetProjectionWizard.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.impl/src/main/java/org/gvsig/exportto/swing/impl/wizard/ExportTargetProjectionWizard.java	(revision 43919)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.impl/src/main/java/org/gvsig/exportto/swing/impl/wizard/ExportTargetProjectionWizard.java	(revision 43920)
@@ -25,11 +25,10 @@
 
 import javax.swing.JPanel;
 
-import org.cresques.cts.IProjection;
 import org.gvsig.exportto.swing.impl.DefaultJExporttoServicePanel;
-import org.gvsig.exportto.swing.impl.panel.ExportFilterPanel;
 import org.gvsig.exportto.swing.impl.panel.ExportTargetProjectionPanel;
-import org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect;
+import org.gvsig.exportto.swing.spi.options.ExportGeometryOptions;
+import org.gvsig.exportto.swing.spi.options.ExportOptions;
 import org.gvsig.gui.beans.wizard.panel.NotContinueWizardException;
 import org.gvsig.gui.beans.wizard.panel.OptionPanel;
 
@@ -41,32 +40,43 @@
 public class ExportTargetProjectionWizard extends ExportTargetProjectionPanel implements
     OptionPanel {
 
-    private DefaultJExporttoServicePanel exporttoServicePanel;
+    private final DefaultJExporttoServicePanel exporttoServicePanel;
+    private final ExportGeometryOptions options;
 
-    public ExportTargetProjectionWizard(DefaultJExporttoServicePanel exporttoServicePanel) {
+    public ExportTargetProjectionWizard(
+            DefaultJExporttoServicePanel exporttoServicePanel,
+            ExportGeometryOptions options
+        ) {
         super(exporttoServicePanel);
         this.exporttoServicePanel = exporttoServicePanel;
+        this.options = options;
     }
 
+    @Override
     public String getPanelTitle() {
         return exporttoServicePanel.getExporttoSwingManager().getTranslation(
             "exportto_options");
     }
 
+    @Override
     public void nextPanel() throws NotContinueWizardException {
+        this.options.setTargetProjection(this.getTargetProjection());
         this.checkPanel();
     }
 
+    @Override
     public void lastPanel() {
         exporttoServicePanel.setExportButtonEnabled(false);
         exporttoServicePanel.setNextButtonEnabled(true);
     }
 
+    @Override
     public void updatePanel() {
         exporttoServicePanel.setExportButtonEnabled(false);
         exporttoServicePanel.setNextButtonEnabled(true);
     }
 
+    @Override
     public JPanel getJPanel() {
         return this;
     }
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.impl/src/main/java/org/gvsig/exportto/swing/impl/wizard/ExportFilterWizard.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.impl/src/main/java/org/gvsig/exportto/swing/impl/wizard/ExportFilterWizard.java	(revision 43919)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.impl/src/main/java/org/gvsig/exportto/swing/impl/wizard/ExportFilterWizard.java	(revision 43920)
@@ -27,6 +27,7 @@
 
 import org.gvsig.exportto.swing.impl.DefaultJExporttoServicePanel;
 import org.gvsig.exportto.swing.impl.panel.ExportFilterPanel;
+import org.gvsig.exportto.swing.spi.options.ExportOptions;
 import org.gvsig.gui.beans.wizard.panel.NotContinueWizardException;
 import org.gvsig.gui.beans.wizard.panel.OptionPanel;
 
@@ -39,32 +40,45 @@
     OptionPanel {
 
     private static final long serialVersionUID = 8801849211055890046L;
-    private DefaultJExporttoServicePanel exporttoServicePanel;
+    private final DefaultJExporttoServicePanel exporttoServicePanel;
+    private final ExportOptions options;
 
-    public ExportFilterWizard(DefaultJExporttoServicePanel exporttoServicePanel) {
+    public ExportFilterWizard(
+            DefaultJExporttoServicePanel exporttoServicePanel,
+            ExportOptions options
+        ) {
         super(exporttoServicePanel);
         this.exporttoServicePanel = exporttoServicePanel;
+        this.options = options;
     }
 
+    @Override
     public String getPanelTitle() {
         return exporttoServicePanel.getExporttoSwingManager().getTranslation(
             "exportto_options");
     }
 
+    @Override
     public void nextPanel() throws NotContinueWizardException {
+        this.options.setFilter(this.getFilter());
+        this.options.setFilterExpresion(this.getFilterExpresion());
+        this.options.setFilterName(this.getFilterName());
         this.checkPanel();
     }
 
+    @Override
     public void lastPanel() {
         exporttoServicePanel.setExportButtonEnabled(false);
         exporttoServicePanel.setNextButtonEnabled(true);
     }
 
+    @Override
     public void updatePanel() {
         exporttoServicePanel.setExportButtonEnabled(true);
         exporttoServicePanel.setNextButtonEnabled(false);
     }
 
+    @Override
     public JPanel getJPanel() {
         return this;
     }
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.impl/src/main/java/org/gvsig/exportto/swing/impl/wizard/ExporttoProgressWizard.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.impl/src/main/java/org/gvsig/exportto/swing/impl/wizard/ExporttoProgressWizard.java	(revision 43919)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.impl/src/main/java/org/gvsig/exportto/swing/impl/wizard/ExporttoProgressWizard.java	(revision 43920)
@@ -28,6 +28,7 @@
 import javax.swing.JPanel;
 
 import org.gvsig.exportto.swing.impl.DefaultJExporttoServicePanel;
+import org.gvsig.exportto.swing.spi.options.ExportOptions;
 import org.gvsig.gui.beans.wizard.panel.NotContinueWizardException;
 import org.gvsig.gui.beans.wizard.panel.OptionPanel;
 import org.gvsig.tools.swing.api.ToolsSwingLocator;
@@ -43,42 +44,51 @@
 public class ExporttoProgressWizard extends JPanel implements OptionPanel {
 
     private static final long serialVersionUID = 8235569247892299856L;
-    private static final TaskStatusSwingManager TASK_STATUS_SWING_MANAGER =
-        ToolsSwingLocator.getTaskStatusSwingManager();
 
     private DefaultJExporttoServicePanel exporttoServicePanel = null;
     private JTaskStatus jTaskStatus = null;
+    private final ExportOptions options;
 
     public ExporttoProgressWizard(
-        DefaultJExporttoServicePanel exporttoServicePanel) {
+            DefaultJExporttoServicePanel exporttoServicePanel,
+            ExportOptions options
+        ) {
         super();
         this.exporttoServicePanel = exporttoServicePanel;
-        jTaskStatus = TASK_STATUS_SWING_MANAGER.createJTaskStatus();
+        this.options = options;
+        TaskStatusSwingManager TaskStatusSwingManager = ToolsSwingLocator.getTaskStatusSwingManager();
+
+        jTaskStatus = TaskStatusSwingManager.createJTaskStatus();
         this.setLayout(new BorderLayout());
         this.add(jTaskStatus, BorderLayout.NORTH);
     }
 
+    @Override
     public String getPanelTitle() {
         return exporttoServicePanel.getExporttoSwingManager().getTranslation(
             "export_progress");
     }
 
+    @Override
     public void nextPanel() throws NotContinueWizardException {
         // TODO Auto-generated method stub
 
     }
 
+    @Override
     public void lastPanel() {
         exporttoServicePanel.setCancelButtonText(exporttoServicePanel
             .getExporttoSwingManager().getTranslation("cancel"));
     }
 
+    @Override
     public void updatePanel() {
         exporttoServicePanel.setExportButtonEnabled(false);
         exporttoServicePanel.setCancelButtonText(exporttoServicePanel
             .getExporttoSwingManager().getTranslation("close"));
     }
 
+    @Override
     public JPanel getJPanel() {
         return this;
     }
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.impl/src/main/java/org/gvsig/exportto/swing/impl/DefaultJExporttoServicePanel.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.impl/src/main/java/org/gvsig/exportto/swing/impl/DefaultJExporttoServicePanel.java	(revision 43919)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.impl/src/main/java/org/gvsig/exportto/swing/impl/DefaultJExporttoServicePanel.java	(revision 43920)
@@ -50,6 +50,8 @@
 import org.gvsig.exportto.swing.spi.ExporttoSwingProviderFactory;
 import org.gvsig.exportto.swing.spi.ExporttoSwingProviderLocator;
 import org.gvsig.exportto.swing.spi.ExporttoSwingProviderManager;
+import org.gvsig.exportto.swing.spi.options.ExportGeometryOptions;
+import org.gvsig.exportto.swing.spi.options.ExportOptions;
 import org.gvsig.fmap.dal.DALLocator;
 import org.gvsig.fmap.dal.DataManager;
 import org.gvsig.fmap.dal.exception.DataException;
@@ -81,8 +83,6 @@
     private static final Logger LOG = LoggerFactory
         .getLogger(DefaultJExporttoServicePanel.class);
 
-    private static final ExporttoSwingProviderManager EXPORTTO_SWING_PROVIDER_MANAGER =
-        ExporttoSwingProviderLocator.getManager();
     private static final DataManager DATA_MANAGER = DALLocator.getDataManager();
 
     private static final long serialVersionUID = -7026467582252285238L;
@@ -95,8 +95,8 @@
     // Used to get the new feature store parameters
     private ExporttoSwingProvider exporttoSwingProvider;
 
-    // Provider types that will be displayed
-    private int[] providerTypes;
+//    // Provider types that will be displayed
+//    private int[] providerTypes;
 
     // Wizards used to create the main wizard
     private ExporterSelectionWizard exporterSelectionWizard = null;
@@ -128,26 +128,26 @@
         vectorLayer = vlayer;
     }
 
-    public DefaultJExporttoServicePanel(DefaultExporttoSwingManager uimanager,
-        FeatureStore featureStore, IProjection projection,
-        ExporttoServiceFinishAction exporttoServiceFinishAction,
-        int[] providerTypes) {
+    @SuppressWarnings("LeakingThisInConstructor")
+    public DefaultJExporttoServicePanel(
+            DefaultExporttoSwingManager uimanager,
+            FeatureStore featureStore, 
+            IProjection projection,
+            ExporttoServiceFinishAction exporttoServiceFinishAction,
+            int[] providerTypes
+        ) {
         this.featureStore = featureStore;
         this.projection = projection;
         this.uimanager = uimanager;
         this.exporttoServiceFinishAction = exporttoServiceFinishAction;
-        this.providerTypes = providerTypes;
+//        this.providerTypes = providerTypes;
         this.status = JOptionPane.UNDEFINED_CONDITION;
 
         ImageIcon ii = IconThemeHelper.getImageIcon("wizard-export-to");
         wizardPanelWithLogo = new WizardPanelWithLogo(ii);
 
         // Initialize the wizards
-        exporterSelectionWizard =
-            new ExporterSelectionWizard(this, providerTypes);
-        exportTargetProjectionWizard = new ExportTargetProjectionWizard(this);
-        exportFilterWizard = new ExportFilterWizard(this);
-        exporttoProgressWizard = new ExporttoProgressWizard(this);
+        exporterSelectionWizard = new ExporterSelectionWizard(this, providerTypes);
 
         // Adding the wizards to the main wizard
         wizardPanelWithLogo.addOptionPanel(exporterSelectionWizard);
@@ -156,6 +156,13 @@
         this.wizardPanelWithLogo.getWizardComponents().getFinishButton()
             .setText(uimanager.getTranslation("export"));
 
+        // Set the listener for the finish and cancell events
+        this.wizardPanelWithLogo.setWizardListener(this);
+        
+        this.initComponents();
+    }
+    
+    private void initComponents() {
         this.setLayout(new BorderLayout());
         this.add(wizardPanelWithLogo, BorderLayout.CENTER);
 
@@ -164,7 +171,6 @@
         setExportButtonEnabled(false);
 
         // Set the listener for the finish and cancell events
-        this.wizardPanelWithLogo.setWizardListener(this);
         this.setPreferredSize(new Dimension(700, 350));
     }
 
@@ -193,40 +199,46 @@
     }
 
     /**
-     * @param exporttoSwingProvider
+     * @param provider
      * @throws ServiceException
      */
-    public void selectExporttoSwingProvider(
-        ExporttoSwingProviderFactory provider)
+    public void selectExporttoSwingProvider(ExporttoSwingProviderFactory provider)
         throws ServiceException {
+        
+        ExporttoSwingProviderManager manager = ExporttoSwingProviderLocator.getManager();
+        exporttoSwingProvider = manager.createExporttoSwingProvider(
+                provider.getName(), vectorLayer
+        );
+        ExportOptions options = this.exporttoSwingProvider.getOptions();
 
-        if (vectorLayer == null) {
-            exporttoSwingProvider =
-                EXPORTTO_SWING_PROVIDER_MANAGER.createExporttoSwingProvider(
-                    provider.getName(), featureStore, projection);
-        } else {
-            exporttoSwingProvider =
-                EXPORTTO_SWING_PROVIDER_MANAGER.createExporttoSwingProvider(
-                    provider.getName(), vectorLayer);
+        if( options instanceof ExportGeometryOptions ) {
+            ExportGeometryOptions geomOptions = (ExportGeometryOptions) options;
+            geomOptions.setTargetProjection(projection);
+            exportTargetProjectionWizard = new ExportTargetProjectionWizard(this, geomOptions);
+            exportTargetProjectionWizard.setVectorLayer(vectorLayer);
         }
+        exportFilterWizard = new ExportFilterWizard(this, options);
+        exporttoProgressWizard = new ExporttoProgressWizard(this, options);
 
-        DefaultJWizardComponents wizardComponents =
-            wizardPanelWithLogo.getWizardComponents();
+        DefaultJWizardComponents wizardComponents = wizardPanelWithLogo.getWizardComponents();
         for (int i = wizardComponents.getWizardPanelList().size() - 1; i >= 1; i--) {
             wizardComponents.removeWizardPanel(i);
         }
         for (int i = 0; i < exporttoSwingProvider.getPanelCount(); i++) {
-            wizardPanelWithLogo.addOptionPanel(new DefaultWizardContainer(
-                exporttoSwingProvider.getPanelAt(i)));
+            wizardPanelWithLogo.addOptionPanel(
+                new DefaultWizardContainer(
+                    exporttoSwingProvider.getPanelAt(i)
+                )
+            );
         }
-        exportTargetProjectionWizard.setVectorLayer(vectorLayer);
-        if (exporttoSwingProvider.needsPanelTargetProjection()){
+        if (exporttoSwingProvider.needsPanelTargetProjection() && exportTargetProjectionWizard!=null ){
             wizardPanelWithLogo.addOptionPanel(exportTargetProjectionWizard);
         }
         wizardPanelWithLogo.addOptionPanel(exportFilterWizard);
         wizardPanelWithLogo.addOptionPanel(exporttoProgressWizard);
     }
 
+    @Override
     public Dimension getPreferredSize() {
         return new Dimension(800, 550);
     }
@@ -250,9 +262,6 @@
                 featureSet = featureStore.getFeatureSet(featureQuery);
             }
         }
-        if( exporttoSwingProvider.needsPanelTargetProjection()) {
-            exporttoSwingProvider.setTargetProjection(exportTargetProjectionWizard.getTargetProjection());
-        }
 
         Export export = new Export(featureSet);
         export.start();
@@ -265,13 +274,14 @@
 
     private class Export extends Thread {
 
-        private FeatureSet featureSet;
+        private final FeatureSet featureSet;
 
         public Export(FeatureSet featureSet) {
             super();
             this.featureSet = featureSet;
         }
 
+        @Override
         public synchronized void run() {
             ExporttoService exportService;
             try {
@@ -314,11 +324,13 @@
         );
     }
 
+    @Override
     public void setWizardPanelActionListener(
         WizardPanelActionListener wizardActionListener) {
         this.exporttoServicePanelListener = wizardActionListener;
     }
 
+    @Override
     public WizardPanelActionListener getWizardPanelActionListener() {
         if (exporttoServicePanelListener == null) {
             exporttoServicePanelListener =
